using System;
using System.Web.Services;
using System.Web.Services.Protocols;

namespace ibm.com
{
	/// <summary>
	/// Represents the data passed into the SOAP header
	/// The name of the class must be IRMHeader.
	/// This is the name of the element contained
	/// within the soap:Header
	/// </summary>
	public class IRMHeader : SoapHeader
	{
		//This variable name must be named "serviceId"
		//This is the name of the element within the IRMHeader
		//element that contains the actual session data
		public String serviceId; 
		public IRMHeader()
		{

		}
	}
}
