VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmLogin 
   Caption         =   "IBM DB2 Records Manager Login"
   ClientHeight    =   2970
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4710
   OleObjectBlob   =   "frmLogin.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmLogin"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False



'
'Licensed Materials - Property of IBM
'"Restricted Materials of IBM"
'5746-SM2
'  Copyright IBM Corp. 1999, 2003, 2004 All Rights Reserved.
'US Government Users Restricted Rights - Use, duplication or
'disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

Option Explicit

' did user punched OK ?
Public bOK As Boolean
' entered login name
Public strLoginName As String
' entered password
Public strPassword As String
' entered database alias
Public strDatabase As String
' entered host name for host login
Public strHostName As String
' login credentials are OK
Public strSession As String
Private colJNDINames As Collection

' cancel click event
Private Sub btnCancel_Click()
    ' user punched cancel
    bOK = False
    ' hide form
    Me.hide
End Sub

' OK click event
Private Sub btnOK_Click()
    ' validate data on the form
    If ValidateForm() Then
        ' save entered data into variables
        strLoginName = txtLoginName.Text
        strPassword = txtPassword.Text
        strDatabase = dbComboBox.Text
        strDatabase = colJNDINames.Item(dbComboBox.Text)
        strHostName = txtHostName.Text
        ' user punched OK
        bOK = True
        ' hide form
        Me.hide
    End If
End Sub

' function to validate data on the form
Private Function ValidateForm() As Boolean
    ' login name is empty
    If Not Len(txtLoginName.Text) > 0 Then
        MsgBox "Login Name can not be empty !"
        txtLoginName.SetFocus
        ValidateForm = False
        Exit Function
    End If
    ' database field is empty
    If Not Len(dbComboBox.Text) > 0 Then
        MsgBox "Database can not be empty !"
        dbComboBox.SetFocus
        ValidateForm = False
        Exit Function
    End If
    ' database field is empty
    If Not Len(Me.txtHostName.Text) > 0 Then
        MsgBox "Host name can not be empty !"
        Me.txtHostName.SetFocus
        ValidateForm = False
        Exit Function
    End If
    ' form validated
    ValidateForm = True
End Function


' initialize form
Private Sub UserForm_Initialize()
    ' database object
    Dim objDatabase As IRMProxies.ILoginManagerEJBBeanService
    Dim objDatabaseClass As New IRMProxies.LoginManagerEJBBeanService
    Set objDatabase = objDatabaseClass
     objDatabaseClass.url = strServerURL & "LoginManagerEJBBean"
    ' xml object to hold list of dbaliases
    Dim objXml As MSXML2.DOMDocument
    Set objXml = New MSXML2.DOMDocument
    ' get list of databases (dbaliases)
    Set colJNDINames = New Collection
    If objXml.loadXML(objDatabase.getDataSourceList()) Then
        Dim objElement As MSXML2.IXMLDOMElement
        ' get names from the list
        For Each objElement In objXml.selectSingleNode("List").childNodes
            dbComboBox.AddItem objElement.Attributes.getNamedItem("Name").Text
            colJNDINames.Add objElement.Attributes.getNamedItem("JNDIName").Text, objElement.Attributes.getNamedItem("Name").Text
        Next
        ' put the first name from the list into the combo box
        If Not IsNull(dbComboBox.List) Then
            dbComboBox.Text = dbComboBox.List(LBound(dbComboBox.List))
        End If
    End If
    ' release objects
    Set objDatabase = Nothing
    Set objXml = Nothing
End Sub
